Page MenuHomePhabricator

New export-to-book tools for Wikisource
Closed, ResolvedPublic

Description

As outlined https://fr.wikisource.org/wiki/Wikisource:Outils_%C3%A0_developper_%28Hackathon_2015_Lyon%29

A group of Wikisource editors and devs will meet in Lyon to modernize and correct the book export tools for Wikisource including specifically demoable partition export, and corrected export-to-pdf (which currently does not work at all with Wikisource)

Event Timeline

coren created this task.Mar 10 2015, 4:33 PM
coren claimed this task.
coren raised the priority of this task from to Normal.
coren updated the task description. (Show Details)
coren added a subscriber: coren.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 4:33 PM
Glaisher added a subscriber: Glaisher.
Rberchie set Security to None.Mar 24 2015, 12:07 PM
Qgil added a subscriber: Qgil.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

coren added a comment.May 24 2015, 8:37 AM

The export-to-book tool has been updated to support musical scores (first objective)

Nemo_bis awarded a token.
Nemo_bis added a subscriber: Nemo_bis.
Qgil added a comment.Jun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward. * If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start. * If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project. * If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer). * Keeping the description, priority and assigned fields up to date always helps. :) For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

coren closed this task as Resolved.Nov 16 2015, 6:40 PM

The new version of the tool is happily running. While there will always be ongoing maintenance, the objectives were met.